import d from "clsx";
import { jsx as l, jsxs as k, Fragment as P } from "react/jsx-runtime";
import N, { useContext as p } from "react";
/*!
  @versini/ui-table v2.0.0
  © 2024 gizmette.com
*/
try {
  window.__VERSINI_UI_TABLE__ || (window.__VERSINI_UI_TABLE__ = {
    version: "2.0.0",
    buildTime: "12/29/2024 04:16 PM EST",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const _ = "thead", C = "tfoot", u = "tbody", f = {
  ASC: "asc",
  DESC: "desc"
}, A = ({
  mode: e,
  className: r,
  wrapperClassName: t,
  stickyHeader: a,
  stickyFooter: o
}) => ({
  wrapper: d(
    "not-prose relative w-full rounded-lg shadow-md",
    {
      "overflow-x-auto": !a && !o,
      "overflow-y-scroll": a || o,
      "bg-surface-darker text-copy-light": e === "dark",
      "bg-surface-light text-copy-dark": e === "light",
      "bg-surface-darker text-copy-light dark:bg-surface-light dark:text-copy-dark": e === "system",
      "bg-surface-light text-copy-dark dark:bg-surface-darker dark:text-copy-light": e === "alt-system"
    },
    t
  ),
  table: d("my-0 w-full text-left text-sm", r, {
    "text-copy-light": e === "dark",
    "text-copy-dark": e === "light",
    "text-copy-light dark:text-copy-dark": e === "system",
    "text-copy-dark dark:text-copy-light": e === "alt-system"
  }),
  caption: d("py-2 text-sm font-bold", {
    "text-copy-light": e === "dark",
    "text-copy-dark": e === "light",
    "text-copy-light dark:text-copy-dark": e === "system",
    "text-copy-dark dark:text-copy-light": e === "alt-system"
  })
}), O = ({
  className: e,
  stickyHeader: r,
  mode: t
}) => d(
  {
    "sticky top-0 z-10": r,
    "shadow-[rgb(190_190_190_/20%)_0_0.5rem_1rem]": r && t === "dark",
    "shadow-[rgb(190_190_190_/20%)_0_0.5rem_1rem] dark:shadow-[rgb(65_65_65_/30%)_0_0.5rem_1rem]": r && t === "system",
    "shadow-[rgb(65_65_65_/30%)_0_0.5rem_1rem]": r && t === "light",
    "shadow-[rgb(65_65_65_/30%)_0_0.5rem_1rem] dark:shadow-[rgb(190_190_190_/20%)_0_0.5rem_1rem]": r && t === "alt-system"
  },
  e
), W = ({
  className: e,
  stickyFooter: r,
  mode: t
}) => d(
  {
    "sticky bottom-0 z-10": r,
    "shadow-[rgb(190_190_190_/20%)_0_-0.5rem_1rem]": r && t === "dark",
    "shadow-[rgb(190_190_190_/20%)_0_-0.5rem_1rem] dark:shadow-[rgb(65_65_65_/30%)_0_-0.5rem_1rem]": r && t === "system",
    "shadow-[rgb(65_65_65_/30%)_0_-0.5rem_1rem]": r && t === "light",
    "shadow-[rgb(65_65_65_/30%)_-0_0.5rem_1rem] dark:shadow-[rgb(190_190_190_/20%)_0_-0.5rem_1rem]": r && t === "alt-system"
  },
  e
), j = ({
  mode: e,
  className: r,
  cellWrapper: t
}) => t === _ || t === C ? d(
  {
    "bg-table-head-dark": e === "dark",
    "bg-table-head-light": e === "light",
    "bg-table-head-dark dark:bg-table-head-light": e === "system",
    "bg-table-head-light dark:bg-table-head-dark": e === "alt-system"
  },
  r
) : d(
  "border-b last:border-0",
  {
    "border-table-dark": e === "dark",
    "odd:bg-table-dark-odd even:bg-table-dark-even": t === u && e === "dark",
    "border-table-light": e === "light",
    "odd:bg-table-light-odd even:bg-table-light-even": t === u && e === "light",
    "border-table-dark dark:border-table-light": e === "system",
    "odd:bg-table-dark-odd even:bg-table-dark-even dark:odd:bg-table-light-odd dark:even:bg-table-light-even": t === u && e === "system",
    "border-table-light dark:border-table-dark": e === "alt-system",
    "odd:bg-table-light-odd even:bg-table-light-even dark:odd:bg-table-dark-odd dark:even:bg-table-dark-even": t === u && e === "alt-system"
  },
  r
), D = ({
  cellWrapper: e,
  className: r,
  compact: t,
  mode: a
}) => d(
  {
    "text-copy-light": a === "dark",
    "text-copy-dark": a === "light",
    "text-copy-light dark:text-copy-dark": a === "system",
    "text-copy-dark dark:text-copy-light": a === "alt-system",
    "px-4 py-3": !t && (e === _ || e === C),
    "p-4": !t && e === u,
    "px-2 py-1.5": t
  },
  r
), F = ({
  buttonClassName: e
}) => d("rounded-none text-sm", e), B = "av-button", I = "icon", G = "button", Y = "link", $ = ({
  type: e,
  size: r,
  labelRight: t,
  labelLeft: a,
  align: o
}) => {
  const i = "text-sm font-medium max-h-8 py-0", s = "text-base font-medium max-h-9 py-1", c = "text-lg font-medium max-h-12 py-2";
  switch (e) {
    case G:
      return d("px-4", {
        [i]: r === "small",
        [s]: r === "medium",
        [c]: r === "large"
      });
    case Y:
      return d("px-4 text-center", {
        [i]: r === "small",
        [s]: r === "medium",
        [c]: r === "large"
      });
    case I:
      return d("inline-flex items-center", {
        "justify-center": o === "center",
        "justify-start": o === "left",
        "justify-end": o === "right",
        "h-6 w-6 p-0": r === "small" && !(t || a),
        "h-6 px-4 text-sm font-medium": r === "small" && (t || a),
        "h-8 w-8 p-1": r === "medium" && !(t || a),
        "h-8 px-4 text-base font-medium": r === "medium" && (t || a),
        "h-12 w-12 p-2": r === "large" && !(t || a),
        "h-12 px-4 text-lg font-medium": r === "large" && (t || a)
      });
  }
}, q = ({
  mode: e,
  noBackground: r,
  noTruncate: t,
  variant: a,
  radius: o
}) => {
  if (r)
    return d("not-prose", {
      "rounded-full": o === "large",
      "rounded-md": o === "medium",
      "rounded-sm": o === "small"
    });
  if (a === "primary")
    return d("not-prose", {
      "rounded-full": o === "large",
      "rounded-md": o === "medium",
      "rounded-sm": o === "small",
      truncate: !t,
      "bg-action-dark text-copy-light": e === "dark",
      "bg-action-light text-copy-lighter": e === "light",
      "bg-action-dark text-copy-light dark:bg-action-light dark:text-copy-lighter": e === "system",
      "bg-action-light text-copy-lighter dark:bg-action-dark dark:text-copy-light": e === "alt-system"
    });
  if (a === "secondary")
    return d("not-prose", {
      "rounded-full": o === "large",
      "rounded-md": o === "medium",
      "rounded-sm": o === "small",
      truncate: !t,
      "bg-action-dark text-copy-light": e === "light",
      "bg-action-light text-copy-lighter": e === "dark",
      "bg-action-dark text-copy-light dark:bg-action-light dark:text-copy-lighter": e === "alt-system",
      "bg-action-light text-copy-lighter dark:bg-action-dark dark:text-copy-light": e === "system"
    });
  if (a === "danger")
    return d("not-prose", {
      "rounded-full": o === "large",
      "rounded-md": o === "medium",
      "rounded-sm": o === "small",
      truncate: !t,
      "bg-action-danger-dark text-copy-light": e === "dark",
      "bg-action-danger-light text-copy-lighter": e === "light",
      "bg-action-danger-dark text-copy-light dark:bg-action-danger-light dark:text-copy-lighter": e === "system",
      "bg-action-danger-light text-copy-lighter dark:bg-action-danger-dark dark:text-copy-light": e === "alt-system"
    });
  if (a === "selected")
    return d("not-prose", {
      "rounded-full": o === "large",
      "rounded-md": o === "medium",
      "rounded-sm": o === "small",
      truncate: !t,
      "bg-action-selected-dark text-copy-light": e === "dark",
      "bg-action-selected-light text-copy-lighter": e === "light",
      "bg-action-selected-dark text-copy-light dark:bg-action-selected-light dark:text-copy-lighter": e === "system",
      "bg-action-selected-light text-copy-lighter dark:bg-action-selected-dark dark:text-copy-light": e === "alt-system"
    });
}, J = ({
  mode: e,
  disabled: r,
  variant: t
}) => {
  if (r)
    return "";
  if (t === "primary")
    return d("hover:text-copy-light-hover", {
      "hover:bg-action-dark-hover": e === "dark",
      "hover:bg-action-light-hover": e === "light",
      "hover:bg-action-dark-hover dark:hover:bg-action-light-hover": e === "system",
      "hover:bg-action-light-hover dark:hover:bg-action-dark-hover": e === "alt-system"
    });
  if (t === "secondary")
    return d("hover:text-copy-light-hover", {
      "hover:bg-action-dark-hover": e === "light",
      "hover:bg-action-light-hover": e === "dark",
      "hover:bg-action-dark-hover dark:hover:bg-action-light-hover": e === "alt-system",
      "hover:bg-action-light-hover dark:hover:bg-action-dark-hover": e === "system"
    });
  if (t === "danger")
    return d("hover:text-copy-light-hover", {
      "hover:bg-action-danger-dark-hover": e === "dark",
      "hover:bg-action-danger-light-hover": e === "light",
      "hover:bg-action-danger-dark-hover dark:hover:bg-action-danger-light-hover": e === "system",
      "hover:bg-action-danger-light-hover dark:hover:bg-action-danger-dark-hover": e === "alt-system"
    });
  if (t === "selected")
    return d("hover:text-copy-light-hover", {
      "hover:bg-action-selected-dark-hover": e === "dark",
      "hover:bg-action-selected-light-hover": e === "light",
      "hover:bg-action-selected-dark-hover dark:hover:bg-action-selected-light-hover": e === "system",
      "hover:bg-action-selected-light-hover dark:hover:bg-action-selected-dark-hover": e === "alt-system"
    });
}, K = ({
  mode: e,
  disabled: r,
  variant: t
}) => {
  if (r)
    return "";
  if (t === "primary")
    return d("active:text-copy-light-active", {
      "active:bg-action-dark-active": e === "dark",
      "active:bg-action-light-active": e === "light",
      "active:bg-action-dark-active dark:active:bg-action-light-active": e === "system",
      "active:bg-action-light-active dark:active:bg-action-dark-active": e === "alt-system"
    });
  if (t === "secondary")
    return d("active:text-copy-light-active", {
      "active:bg-action-dark-active": e === "light",
      "active:bg-action-light-active": e === "dark",
      "active:bg-action-dark-active dark:active:bg-action-light-active": e === "alt-system",
      "active:bg-action-light-active dark:active:bg-action-dark-active": e === "system"
    });
  if (t === "danger")
    return d("active:text-copy-lighter-active", {
      "active:bg-action-danger-dark-active": e === "dark",
      "active:bg-action-danger-light-active": e === "light",
      "active:bg-action-danger-dark-active dark:active:bg-action-danger-light-active": e === "system",
      "active:bg-action-danger-light-active dark:active:bg-action-danger-dark-active": e === "alt-system"
    });
  if (t === "selected")
    return d("active:text-copy-lighter-active", {
      "active:bg-action-selected-dark-active": e === "dark",
      "active:bg-action-selected-light-active": e === "light",
      "active:bg-action-selected-dark-active dark:active:bg-action-selected-light-active": e === "system",
      "active:bg-action-selected-light-active dark:active:bg-action-selected-dark-active": e === "alt-system"
    });
}, Q = ({
  mode: e,
  noBorder: r,
  variant: t
}) => {
  if (r)
    return "border border-transparent";
  if (t === "primary")
    return d("border", {
      "border-border-dark": e === "dark",
      "border-border-accent": e === "light",
      "border-border-dark dark:border-border-accent": e === "system",
      "border-border-accent dark:border-border-dark": e === "alt-system"
    });
  if (t === "secondary")
    return d("border", {
      "border-border-dark": e === "light",
      "border-border-accent": e === "dark",
      "border-border-dark dark:border-border-accent": e === "alt-system",
      "border-border-accent dark:border-border-dark": e === "system"
    });
  if (t === "danger")
    return d("border", {
      "border-border-danger-dark": e === "dark",
      "border-border-danger-medium": e === "light",
      "border-border-danger-dark dark:border-border-danger-medium": e === "system",
      "border-border-danger-medium dark:border-border-danger-dark": e === "alt-system"
    });
  if (t === "selected")
    return d("border", {
      "border-border-selected-dark": e === "dark",
      "border-border-selected-medium": e === "light",
      "border-border-selected-dark dark:border-border-selected-medium": e === "system",
      "border-border-selected-medium dark:border-border-selected-dark": e === "alt-system"
    });
}, X = ({
  focusMode: e
}) => d("focus:outline", "focus:outline-2", "focus:outline-offset-2", {
  "focus:outline-focus-dark": e === "dark",
  "focus:outline-focus-light": e === "light",
  "focus:outline-focus-light dark:focus:outline-focus-dark": e === "alt-system",
  "focus:outline-focus-dark dark:focus:outline-focus-light": e === "system"
}), Z = ({
  type: e,
  className: r,
  raw: t,
  mode: a,
  focusMode: o,
  disabled: i,
  fullWidth: s,
  size: c,
  noBorder: g,
  labelRight: n,
  labelLeft: b,
  noBackground: m,
  variant: h,
  noTruncate: y,
  align: x,
  radius: w
}) => (h || (h = "primary"), t ? d(B, r) : d(
  B,
  q({
    mode: a,
    variant: h,
    noBackground: m,
    noTruncate: y,
    radius: w
  }),
  $({ type: e, size: c, labelRight: n, labelLeft: b, align: x }),
  Q({ mode: a, variant: h, noBorder: g }),
  X({ focusMode: o }),
  J({ mode: a, variant: h, disabled: i }),
  K({ mode: a, variant: h, disabled: i }),
  {
    "w-full": s,
    "disabled:cursor-not-allowed disabled:opacity-50": i
  },
  r
)), ee = (e, r, t) => {
  var a;
  !r && (!document.activeElement || document.activeElement !== e.currentTarget) && typeof ((a = e == null ? void 0 : e.currentTarget) == null ? void 0 : a.focus) == "function" && e.currentTarget.focus(), typeof t == "function" && t(e);
}, S = N.forwardRef((e, r) => {
  const { onClick: t, noInternalClick: a = !1, ...o } = e;
  return /* @__PURE__ */ l(
    "button",
    {
      ref: r,
      onClick: (i) => {
        ee(i, a, t);
      },
      ...o
    }
  );
});
S.displayName = "BaseButton";
/*!
  @versini/ui-button v2.0.0
  © 2024 gizmette.com
*/
try {
  window.__VERSINI_UI_BUTTON__ || (window.__VERSINI_UI_BUTTON__ = {
    version: "2.0.0",
    buildTime: "12/29/2024 04:16 PM EST",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const E = N.forwardRef(
  ({
    children: e,
    disabled: r = !1,
    mode: t = "system",
    focusMode: a = "system",
    fullWidth: o = !1,
    className: i,
    type: s = "button",
    raw: c = !1,
    noBorder: g = !1,
    "aria-label": n,
    label: b,
    size: m = "medium",
    labelRight: h,
    labelLeft: y,
    noBackground: x = !1,
    align: w = "center",
    active: z = !1,
    radius: R = "large",
    ...V
  }, L) => {
    const M = Z({
      type: I,
      mode: t,
      focusMode: a,
      fullWidth: o,
      disabled: r,
      raw: c,
      className: i,
      noBorder: g,
      size: m,
      labelRight: h,
      labelLeft: y,
      noBackground: x,
      align: w,
      radius: R
    }), H = d({
      "text-copy-accent-dark": t === "light" && !c,
      "text-copy-light": t === "dark" && !c,
      "text-copy-accent-dark dark:text-copy-light": t === "alt-system" && !c,
      "text-copy-light dark:text-copy-accent-dark": t === "system" && !c
    }), U = z ? d(
      "relative",
      "focus-within:static",
      "focus-within:after:border-transparent",
      "after:absolute",
      "after:content-['']",
      "after:border-b-2",
      "after:bottom-[-4px]",
      "after:left-0",
      "after:right-0",
      {
        "after:border-table-dark": t === "dark",
        "after:border-table-light": t === "light",
        "after:border-table-dark dark:after:border-table-light": t === "system",
        "after:border-table-light dark:after:border-table-dark": t === "alt-system"
      }
    ) : "";
    return /* @__PURE__ */ l("div", { className: U, children: /* @__PURE__ */ k(
      S,
      {
        ref: L,
        className: M,
        disabled: r,
        type: s,
        "aria-label": n || b,
        ...V,
        children: [
          y && /* @__PURE__ */ l("span", { className: "pr-2", children: y }),
          /* @__PURE__ */ l("div", { className: H, children: e }),
          h && /* @__PURE__ */ l("span", { className: "pl-2", children: h })
        ]
      }
    ) });
  }
);
E.displayName = "ButtonSort";
const T = ({
  children: e,
  fill: r,
  viewBox: t,
  className: a,
  defaultViewBox: o,
  defaultClassName: i,
  title: s,
  semantic: c = !1,
  ...g
}) => {
  const n = d(a || i);
  return /* @__PURE__ */ k(P, { children: [
    /* @__PURE__ */ l(
      "svg",
      {
        xmlns: "http://www.w3.org/2000/svg",
        className: n,
        viewBox: t || o,
        fill: r || "currentColor",
        role: "img",
        "aria-hidden": !c,
        focusable: !1,
        ...g,
        children: e
      }
    ),
    s && c && /* @__PURE__ */ l("span", { className: "sr-only", children: s })
  ] });
};
/*!
  @versini/ui-svgicon v2.0.0
  © 2024 gizmette.com
*/
try {
  window.__VERSINI_UI_SVGICON__ || (window.__VERSINI_UI_SVGICON__ = {
    version: "2.0.0",
    buildTime: "12/29/2024 04:16 PM EST",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const te = ({
  className: e,
  viewBox: r,
  title: t,
  monotone: a,
  ...o
}) => /* @__PURE__ */ k(
  T,
  {
    defaultViewBox: "0 0 576 512",
    defaultClassName: "size-5",
    viewBox: r,
    className: e,
    title: t || "Sort",
    ...o,
    children: [
      /* @__PURE__ */ l(
        "path",
        {
          opacity: a ? "1" : "0.4",
          d: "M393.4 41.4c12.5-12.5 32.8-12.5 45.3 0l96 96c12.5 12.5 12.5 32.8 0 45.3s-32.8 12.5-45.3 0L448 141.3V448c0 17.7-14.3 32-32 32s-32-14.3-32-32V141.3l-41.4 41.4c-12.5 12.5-32.8 12.5-45.3 0s-12.5-32.8 0-45.3l96-96z"
        }
      ),
      /* @__PURE__ */ l("path", { d: "M137.4 470.6c12.5 12.5 32.8 12.5 45.3 0l96-96c12.5-12.5 12.5-32.8 0-45.3s-32.8-12.5-45.3 0L192 370.7V64c0-17.7-14.3-32-32-32s-32 14.3-32 32V370.7L86.6 329.4c-12.5-12.5-32.8-12.5-45.3 0s-12.5 32.8 0 45.3l96 96z" })
    ]
  }
), re = ({
  className: e,
  viewBox: r,
  title: t,
  monotone: a,
  ...o
}) => /* @__PURE__ */ k(
  T,
  {
    defaultViewBox: "0 0 576 512",
    defaultClassName: "size-5",
    viewBox: r,
    className: e,
    title: t || "Sort Down",
    ...o,
    children: [
      /* @__PURE__ */ l(
        "path",
        {
          opacity: a ? "1" : "0.4",
          d: "M288 448c0 17.7 14.3 32 32 32h32c17.7 0 32-14.3 32-32s-14.3-32-32-32H320c-17.7 0-32 14.3-32 32zm0-128c0 17.7 14.3 32 32 32h96c17.7 0 32-14.3 32-32s-14.3-32-32-32H320c-17.7 0-32 14.3-32 32zm0-128c0 17.7 14.3 32 32 32H480c17.7 0 32-14.3 32-32s-14.3-32-32-32H320c-17.7 0-32 14.3-32 32zm0-128c0 17.7 14.3 32 32 32H544c17.7 0 32-14.3 32-32s-14.3-32-32-32H320c-17.7 0-32 14.3-32 32z"
        }
      ),
      /* @__PURE__ */ l("path", { d: "M128 480c9 0 17.5-3.8 23.6-10.4l88-96c11.9-13 11.1-33.3-2-45.2s-33.3-11.1-45.2 2L160 365.7V64c0-17.7-14.3-32-32-32s-32 14.3-32 32V365.7L63.6 330.4c-11.9-13-32.2-13.9-45.2-2s-13.9 32.2-2 45.2l88 96C110.5 476.2 119 480 128 480z" })
    ]
  }
), ae = ({
  className: e,
  viewBox: r,
  title: t,
  monotone: a,
  ...o
}) => /* @__PURE__ */ k(
  T,
  {
    defaultViewBox: "0 0 576 512",
    defaultClassName: "size-5",
    viewBox: r,
    className: e,
    title: t || "Sort Up",
    ...o,
    children: [
      /* @__PURE__ */ l(
        "path",
        {
          opacity: a ? "1" : "0.4",
          d: "M288 64c0-17.7 14.3-32 32-32h32c17.7 0 32 14.3 32 32s-14.3 32-32 32H320c-17.7 0-32-14.3-32-32zm0 128c0-17.7 14.3-32 32-32h96c17.7 0 32 14.3 32 32s-14.3 32-32 32H320c-17.7 0-32-14.3-32-32zm0 128c0-17.7 14.3-32 32-32H480c17.7 0 32 14.3 32 32s-14.3 32-32 32H320c-17.7 0-32-14.3-32-32zm0 128c0-17.7 14.3-32 32-32H544c17.7 0 32 14.3 32 32s-14.3 32-32 32H320c-17.7 0-32-14.3-32-32z"
        }
      ),
      /* @__PURE__ */ l("path", { d: "M128 32c9 0 17.5 3.8 23.6 10.4l88 96c11.9 13 11.1 33.3-2 45.2s-33.3 11.1-45.2-2L160 146.3V448c0 17.7-14.3 32-32 32s-32-14.3-32-32V146.3L63.6 181.6c-11.9 13-32.2 13.9-45.2 2s-13.9-32.2-2-45.2l88-96C110.5 35.8 119 32 128 32z" })
    ]
  }
);
/*!
  @versini/ui-icons v2.0.0
  © 2024 gizmette.com
*/
try {
  window.__VERSINI_UI_ICONS__ || (window.__VERSINI_UI_ICONS__ = {
    version: "2.0.0",
    buildTime: "12/29/2024 04:16 PM EST",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const v = N.createContext({
  mode: "light",
  cellWrapper: "thead",
  stickyHeader: !1,
  stickyFooter: !1,
  compact: !1
}), ce = ({
  children: e,
  mode: r = "system",
  caption: t,
  compact: a,
  summary: o,
  className: i,
  wrapperClassName: s,
  maxHeight: c,
  stickyHeader: g,
  stickyFooter: n,
  ...b
}) => {
  const m = A({
    mode: r,
    className: i,
    wrapperClassName: s,
    stickyHeader: g,
    stickyFooter: n
  });
  return /* @__PURE__ */ l(
    v.Provider,
    {
      value: { mode: r, stickyHeader: g, stickyFooter: n, compact: a },
      children: /* @__PURE__ */ l(
        "div",
        {
          className: m.wrapper,
          ...c && {
            style: { maxHeight: c }
          },
          children: /* @__PURE__ */ k("table", { className: m.table, summary: o, ...b, children: [
            t && /* @__PURE__ */ l("caption", { className: m.caption, children: t }),
            e
          ] })
        }
      )
    }
  );
}, se = ({
  children: e,
  className: r,
  ...t
}) => {
  const a = p(v);
  a.cellWrapper = _;
  const o = O({
    className: r,
    mode: a.mode,
    stickyHeader: a.stickyHeader
  });
  return /* @__PURE__ */ l("thead", { className: o, ...t, children: e });
}, ne = ({
  children: e,
  className: r,
  ...t
}) => {
  const a = p(v);
  a.cellWrapper = C;
  const o = W({
    className: r,
    mode: a.mode,
    stickyFooter: a.stickyFooter
  });
  return /* @__PURE__ */ l("tfoot", { className: o, ...t, children: e });
}, ge = ({ children: e, ...r }) => {
  const t = p(v);
  return t.cellWrapper = u, /* @__PURE__ */ l("tbody", { ...r, children: e });
}, he = ({
  children: e,
  className: r,
  ...t
}) => {
  const a = p(v), o = j({
    mode: a.mode,
    cellWrapper: a.cellWrapper,
    className: r
  });
  return /* @__PURE__ */ l("tr", { className: o, ...t, children: e });
}, oe = ({
  children: e,
  component: r,
  className: t,
  ...a
}) => {
  const o = p(v), i = r || (o.cellWrapper === _ ? "th" : "td"), s = D({
    cellWrapper: o.cellWrapper,
    className: t,
    mode: o.mode,
    compact: o.compact
  });
  return /* @__PURE__ */ l(i, { className: s, ...a, children: e });
}, be = ({
  align: e,
  children: r,
  buttonClassName: t,
  className: a,
  component: o,
  focusMode: i = "alt-system",
  mode: s = "alt-system",
  onClick: c,
  sortDirection: g,
  sortedCell: n,
  cellId: b,
  ...m
}) => {
  const h = F({ buttonClassName: t });
  return /* @__PURE__ */ l(
    oe,
    {
      component: o,
      className: a,
      role: "columnheader",
      "aria-sort": g === f.ASC && n === b ? "ascending" : g === f.DESC && n === b ? "descending" : "other",
      ...m,
      children: /* @__PURE__ */ l(
        E,
        {
          active: n === b,
          className: h,
          onClick: c,
          align: e,
          noBorder: !0,
          focusMode: i,
          mode: s,
          fullWidth: !0,
          labelRight: r,
          children: g === f.ASC && n === b ? /* @__PURE__ */ l(ae, { className: "size-4", monotone: !0 }) : g === f.DESC && n === b ? /* @__PURE__ */ l(re, { className: "size-4", monotone: !0 }) : /* @__PURE__ */ l(te, { className: "size-4", monotone: !0 })
        }
      )
    }
  );
};
export {
  ce as Table,
  ge as TableBody,
  oe as TableCell,
  be as TableCellSort,
  f as TableCellSortDirections,
  ne as TableFooter,
  se as TableHead,
  he as TableRow
};
